Subject: bug#50111: closed (Re: bug#50111: [PATCH] cuirass: Allow filter-only searches.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Aug 2021 14:49:02 +0000

Your bug report

#50111: [PATCH] cuirass: Allow filter-only searches.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50111: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50111
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50111: [PATCH] cuirass: Allow filter-only searches.
From: Mathieu Othacehe <[email-masked]>
To: Sarah Morgensen <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Aug 2021 16:48:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

Nice, applied as 082a477989cd6246a02c3e2ee661536ccc77cddb! I'll have to
update the Guix Cuirass package and deploy it on Berlin before we all
can enjoy this on https://ci.guix.gnu.org.

> I haven't tested this, of course, because I don't have a cuirass instance ;)

Note that running a small Cuirass instance using the dedicated Guix
service as described here[1] should be relatively easy if you want to
test further fixes :).

Thanks,

Mathieu

[1]: https://guix.gnu.org/manual/en/html_node/Continuous-Integration.html

Subject: [PATCH] cuirass: Allow filter-only searches.
From: Sarah Morgensen <[email-masked]>
To: [email-masked]
Date: Wed, 18 Aug 2021 10:37:39 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

If there are non-query search filters and there is no query, assume a
wildcard query.

* src/cuirass/database.scm (query->bind-arguments): Add a wildcard query
if there are other filters and no query.
---
Hello Guix,

I noticed that it's not possible to search on cuirass with only filters,
and no query.  So this patch allows a filter-only search, without a query.
(After reading the code I realized I could use a SQL (!) wildcard "%", but
that's not even noted on the Cuirass website.)

I haven't tested this, of course, because I don't have a cuirass instance ;)

--
Sarah
 src/cuirass/database.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/src/cuirass/database.scm b/src/cuirass/database.scm
index 0aa3f0b..2aa99a1 100644
--- a/src/cuirass/database.scm
+++ b/src/cuirass/database.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2018 Clément Lassieur <[email-masked]>
 ;;; Copyright © 2018 Tatiana Sholokhova <[email-masked]>
 ;;; Copyright © 2019, 2020 Ricardo Wurmus <[email-masked]>
+;;; Copyright © 2021 Sarah Morgensen <[email-masked]>
 ;;;
 ;;; This file is part of Cuirass.
 ;;;
@@ -1060,7 +1061,11 @@ DELETE FROM Checkouts WHERE evaluation=" eval-id ";")))
             (if (assq key acc)
                 acc
                 (cons (cons key #f) acc)))
-          args '(#:spec #:system))))
+          (if (or (assq-ref args #:query)
+                  (null? (alist-delete #:query args)))
+              args
+              (cons '(#:query . "%") args))
+          '(#:spec #:system))))
 
 (define (db-get-build-products build-id)
   "Return the build products associated to the given BUILD-ID."
-- 
2.31.1